Webhooks
Signed webhooks for job state changes.
List webhooks
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
cursor | string | Optional | |
limit | string | Optional |
Response
datahas_morenext_cursor
curl "$CIRESK_API/v1/ci/webhooks" \
-H "Authorization: Bearer $CIRESK_KEY"Create a webhook
Subscribe a signed webhook.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
Idempotency-Key | string | Required |
Request body
eventsrepo- uuidv7 rendered as
repo_<32 hex> url
Response
eventsid- uuidv7 rendered as
whk_<32 hex> secreturl
curl -X POST "$CIRESK_API/v1/ci/webhooks" \
-H "Authorization: Bearer $CIRESK_KEY" \
-H "Idempotency-Key: 1a41c272-39d0-4e10-a0cc-fd75b621cf68" \
-H "Content-Type: application/json" \
-d '{
"events": [
"job.finished"
],
"repo": "repo_0129354d7b6b4146ad16c315d960365b",
"url": "https://hooks.acme.com/ciresk"
}'curl -X POST "$CIRESK_API/v1/ci/webhooks/whk_01c24013536936e8782bc95cfee48218/delete" \
-H "Authorization: Bearer $CIRESK_KEY"